package com.yzt.airconditionersystem.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Data;

/**
 * @author TzZach
 * @since 2022-04-24 21:11
 */
public enum AlarmStatusEnum {

//    public static final Integer UNHANDLED = 0;
//    public static final Integer HANDLED = 1;

    UNHANDLED(0, "未处理"),
    HANDLED(1, "已处理");

    @EnumValue
    private Integer status;
    private String info;

    AlarmStatusEnum(Integer status, String info) {
        this.status = status;
        this.info = info;
    }

    public Integer getStatus() {
        return this.status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    @Override
    public String toString() {
        return info;
    }
}
